package edu.uoc.prezmm.a1list2cook;

import static org.mockito.Mockito.*;

import org.junit.Before;
import org.junit.Test;

import static org.junit.Assert.*;

public class LoginActivityTest {

    private LoginActivity activity;


    @Before
    public void setUp() {
        activity = mock(LoginActivity.class);
    }

    @Test
    //Login correcte
    public void loginCheckValuesTrue() {
        boolean result = activity.loginCheckValues("user01@1list2cook.com","user01");
        assertEquals(true,result);
    }

    @Test
    //Login incorrecte
    public void loginCheckValuesFalse() {
        boolean result = activity.loginCheckValues("user01@1list2cook.com","");
        assertEquals(false,result);
    }
}